/*
 * This jobs translates files to resulting URL
 */

var rewriteURL = function(file) {
  file = file.replace(/\.md$/,'/');
  file = file.replace(/^articles/,'clanek');
  return file;
}

module.exports = function(obj) {
  console.log('Build step: URLs');
  return new Promise(function(resolve, reject) {
    obj.pages.forEach(function(page) {
      page.file = rewriteURL(page.file);
      page.canonicalURL = 'https://ok1kvk.cz/'+page.file
    })
    resolve(obj)
  });
}

module.exports.rewriteURL = rewriteURL;
